Bug 1866143

Summary: Review Request: R-RPostgres - Rcpp Interface to PostgreSQL
Product: [Fedora] Fedora Reporter: Elliott Sales de Andrade <quantum.analyst>
Component: Package ReviewAssignee: José Matos <jamatos>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: jamatos, package-review
Target Milestone: ---Flags: jamatos: fedora-review+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-08-17 01:13:33 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Elliott Sales de Andrade 2020-08-05 01:21:14 UTC
Spec URL: https://qulogic.fedorapeople.org/reviews/R-RPostgres/R-RPostgres.spec
SRPM URL: https://qulogic.fedorapeople.org/reviews/R-RPostgres/R-RPostgres-1.2.0-1.fc31.src.rpm

Description:
Fully DBI-compliant Rcpp-backed interface to PostgreSQL
<https://www.postgresql.org/>, an open-source relational database.

Comment 1 Elliott Sales de Andrade 2020-08-05 01:21:31 UTC
koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=48685282

Comment 2 José Matos 2020-08-06 00:03:18 UTC
fedora-review points to:

- Package have the default element marked as %%doc :DESCRIPTION
- Package requires R-core.
- If your application is a C or C++ application you must list a
  BuildRequires against gcc, gcc-c++ or clang.
  Note: No gcc, gcc-c++ or clang found in BuildRequires
  See: https://docs.fedoraproject.org/en-US/packaging-guidelines/C_and_C++/

The license is correct and the spec is well written and follows the Fedora
packaging guidelines.

So the package is approved.

Comment 3 Gwyn Ciesla 2020-08-06 12:26:51 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/R-RPostgres

Comment 4 Fedora Update System 2020-08-08 23:57:56 UTC
FEDORA-2020-39f6a18b84 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-39f6a18b84

Comment 5 Fedora Update System 2020-08-09 03:47:37 UTC
FEDORA-2020-39f6a18b84 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-39f6a18b84 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-39f6a18b84

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-08-17 01:13:33 UTC
FEDORA-2020-39f6a18b84 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.